[Mayan EDMS: 152] Error when installing Mayan from source

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 152] Error when installing Mayan from source

Mhd Sulhan
Hello all,

I try to installing Mayan EDMS from git repository, followed all the "Installation" procedures [1], but when populating database I got error messages,

Traceback (most recent call last):
  File "./manage.py", line 11, in <module>
    execute_manager(settings)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/core/management/__init__.py", line 438, in execute_manager
    utility.execute()
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/core/management/__init__.py", line 379, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/core/management/base.py", line 191, in run_from_argv
    self.execute(*args, **options.__dict__)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/core/management/base.py", line 209, in execute
    translation.activate('en-us')
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/utils/translation/__init__.py", line 100, in activate
    return _trans.activate(language)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/utils/translation/trans_real.py", line 202, in activate
    _active.value = translation(language)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/utils/translation/trans_real.py", line 185, in translation
    default_translation = _fetch(settings.LANGUAGE_CODE)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/utils/translation/trans_real.py", line 162, in _fetch
    app = import_module(appname)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/lib/python2.7/site-packages/django/utils/importlib.py", line 35, in import_module
    __import__(name)
  File "/home/data/projects/x10c.earsip/mayan_edms/src/mayan/apps/document_signatures/__init__.py", line 14, in <module>
    from documents.models import Document, DocumentVersion
  File "/home/data/projects/x10c.earsip/mayan_edms/src/mayan/apps/documents/__init__.py", line 14, in <module>
    from metadata.api import get_metadata_string
  File "/home/data/projects/x10c.earsip/mayan_edms/src/mayan/apps/metadata/__init__.py", line 7, in <module>
    from documents.models import Document, DocumentType
  File "/home/data/projects/x10c.earsip/mayan_edms/src/mayan/apps/documents/models.py", line 23, in <module>
    from converter.api import get_page_count
  File "/home/data/projects/x10c.earsip/mayan_edms/src/mayan/apps/converter/__init__.py", line 22, in <module>
    raise ImproperlyConfigured(u'Missing or incorrect converter backend: %s' % GRAPHICS_BACKEND)

Anyone know the cause of this error? or the solusion?

Thank you.

--
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 153] Re: Error when installing Mayan from source

Mhd Sulhan
Resolved, turn out Pillow and some others packages is not successfully installed when executing "pip install -r requirements/productions.txt".

Sorry for the inconvenience.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 154] Re: Error when installing Mayan from source

rosarior
Administrator
No worries, sorry for the misleading error message, will add more verbose error reporting for this and similar situations.

On Saturday, April 7, 2012 3:52:39 AM UTC-4, Mhd Sulhan wrote:
Resolved, turn out Pillow and some others packages is not successfully installed when executing "pip install -r requirements/productions.txt".

Sorry for the inconvenience.
Loading...